# Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/utm/UTM.cpp File Reference

`#include <math.h>`
`#include "UTM.h"`
`#include "TransverseMercator.h"`
`#include "UTMParameters.h"`
`#include "MapProjectionCoordinates.h"`
`#include "UTMCoordinates.h"`
`#include "GeodeticCoordinates.h"`
`#include "CoordinateConversionException.h"`
`#include "ErrorMessages.h"`

Go to the source code of this file.

## Defines

#define | EPSILON 1.75e-7

## Variables

const double | PI = 3.14159265358979323e0
const double | PI_OVER_180 = 3.14159265358979323e0 / 180.0
const double | MIN_LAT = ( (-80.5 * PI) / 180.0 )
const double | MAX_LAT = ( (84.5 * PI) / 180.0 )
const double | MIN_EASTING = 100000.0
const double | MAX_EASTING = 900000.0
const double | MIN_NORTHING = 0.0
const double | MAX_NORTHING = 10000000.0

## Define Documentation

#define EPSILON 1.75e-7

Definition at line 111 of file UTM.cpp.

## Variable Documentation

const double MAX_EASTING = 900000.0

Definition at line 118 of file UTM.cpp.

const double MAX_LAT = ( (84.5 * PI) / 180.0 )

Definition at line 116 of file UTM.cpp.

const double MAX_NORTHING = 10000000.0

Definition at line 120 of file UTM.cpp.

const double MIN_EASTING = 100000.0

Definition at line 117 of file UTM.cpp.

const double MIN_LAT = ( (-80.5 * PI) / 180.0 )

Definition at line 115 of file UTM.cpp.

const double MIN_NORTHING = 0.0

Definition at line 119 of file UTM.cpp.

const double PI = 3.14159265358979323e0

Definition at line 113 of file UTM.cpp.

const double PI_OVER_180 = 3.14159265358979323e0 / 180.0

Definition at line 114 of file UTM.cpp.